# Retrieve termination details

GET https://api.letsdeel.com/rest/v2/offboarding/tracker/{id}

Retrieve termination details by tracker id
 **Token scopes**: `contracts:read`, `people:read`

Reference: https://developer.deel.com/api/reference/endpoints/offboarding/retrieve-termination-details

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /offboarding/tracker/{id}:
    get:
      operationId: retrieve-termination-details
      summary: Retrieve termination details
      description: |-
        Retrieve termination details by tracker id
         **Token scopes**: `contracts:read`, `people:read`
      tags:
        - subpackage_offboarding
      parameters:
        - name: id
          in: path
          description: Unique onboarding tracker identifier
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved offboarding details
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Offboarding_retrieveTerminationDetails_Response_200
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RetrieveTerminationDetailsRequestInternalServerError
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataSummaryItemsDataId:
      oneOf:
        - type: string
        - type: integer
      description: The unique identifier for the contract associated with the summary item.
      title: >-
        OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataSummaryItemsDataId
    OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataSummaryItemsData:
      type: object
      properties:
        id:
          $ref: >-
            #/components/schemas/OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataSummaryItemsDataId
          description: >-
            The unique identifier for the contract associated with the summary
            item.
      title: >-
        OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataSummaryItemsData
    OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataSummaryItems:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataSummaryItemsData
        name:
          type: string
          description: The name of the summary item (e.g., Contract ending details).
        type:
          type: string
          description: The type of summary information (e.g., CONTRACT_ENDING_DETAILS).
        value:
          type:
            - string
            - 'null'
          description: The value or status associated with the summary item.
      title: >-
        OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataSummaryItems
    OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataContractEorProbationPeriod:
      type: object
      properties:
        status:
          type: string
          description: probation status
        period_end_at:
          type: string
          description: Period end date
        period_in_days:
          type: integer
          description: total of days of period
      title: >-
        OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataContractEorProbationPeriod
    OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataContractEor:
      type: object
      properties:
        probation_period:
          $ref: >-
            #/components/schemas/OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataContractEorProbationPeriod
      description: Employer of Record (EOR) for the contract, if applicable.
      title: >-
        OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataContractEor
    OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataContract:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier for the contract.
        eor:
          oneOf:
            - $ref: >-
                #/components/schemas/OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataContractEor
            - type: 'null'
          description: Employer of Record (EOR) for the contract, if applicable.
        oid:
          type: string
          description: >-
            The object ID for the contract, which might be the same as the
            contract ID.
        name:
          type: string
          description: The name or title of the contract.
        timezone:
          type: string
          description: The timezone associated with the contract (e.g., Europe/Belgrade).
        contract_type:
          type: string
          description: The type of the contract (e.g., payg_tasks).
      title: OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataContract
    OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataProgress:
      type: object
      properties:
        status:
          type: string
          description: >-
            The current status of the offboarding process (e.g.,
            OFFBOARDING_IN_PROGRESS).
        reference_date:
          type:
            - string
            - 'null'
          description: >-
            The reference date for the offboarding status (e.g., the termination
            date).
        reference_date_type:
          type: string
          description: The type of reference date (e.g., END_DATE).
        reference_date_timezone:
          type: string
          description: The timezone of the reference date.
      title: OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataProgress
    OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataTerminationInitiatedBy:
      type: object
      properties:
        name:
          type: string
          description: Name of individual
        profile_type:
          type:
            - string
            - 'null'
          description: individual's type
      description: The individual that initiated the termination.
      title: >-
        OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataTerminationInitiatedBy
    OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataTerminationTerminationImpact:
      type: object
      properties:
        title:
          type: string
          description: Title of termination impact
        description:
          type: string
          description: Description of termination impact
      description: The impact of the termination, if applicable.
      title: >-
        OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataTerminationTerminationImpact
    OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataTermination:
      type: object
      properties:
        id:
          type:
            - string
            - 'null'
          description: The termination ID
        end_date:
          type: string
          description: The end date of the contract termination.
        ending_type:
          type: string
          description: The type of termination (e.g., ENDING_CONTRACT).
        initiated_at:
          type:
            - string
            - 'null'
          description: The date and time when the termination was initiated.
        initiated_by:
          oneOf:
            - $ref: >-
                #/components/schemas/OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataTerminationInitiatedBy
            - type: 'null'
          description: The individual that initiated the termination.
        public_message:
          type:
            - string
            - 'null'
          description: A public message regarding the termination.
        termination_impact:
          oneOf:
            - $ref: >-
                #/components/schemas/OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataTerminationTerminationImpact
            - type: 'null'
          description: The impact of the termination, if applicable.
        eligible_for_rehire:
          type:
            - string
            - 'null'
          description: Indicates whether the individual is eligible for rehire.
        eligible_for_rehire_reason:
          type:
            - string
            - 'null'
          description: The reason why the individual is or is not eligible for rehire.
      title: >-
        OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataTermination
    OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataHrisProfile:
      type: object
      properties:
        oid:
          type: string
          description: The unique object ID for the HRIS profile.
        name:
          type: string
          description: The name of the individual in the HRIS profile.
        work_email:
          type: string
          description: The work email address of the individual in the HRIS profile.
      title: >-
        OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataHrisProfile
    OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataAppExperience:
      type: object
      properties:
        is_minimal_requirements:
          type: boolean
          description: >-
            Indicates whether the individual meets the minimal experience
            requirements for the role.
      title: >-
        OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataAppExperience
    OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        summary:
          type: array
          items:
            $ref: >-
              #/components/schemas/OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataSummaryItems
        contract:
          $ref: >-
            #/components/schemas/OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataContract
        progress:
          $ref: >-
            #/components/schemas/OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataProgress
        hiring_type:
          type: string
          description: The hiring type for the contract (e.g., contractor).
        termination:
          $ref: >-
            #/components/schemas/OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataTermination
        hris_profile:
          $ref: >-
            #/components/schemas/OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataHrisProfile
        app_experience:
          $ref: >-
            #/components/schemas/OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaDataAppExperience
      title: OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaData
    Offboarding_retrieveTerminationDetails_Response_200:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaData
      title: Offboarding_retrieveTerminationDetails_Response_200
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        code:
          type: string
          description: Machine-readable error code
        message:
          type: string
          description: Human-readable explanation of the error
      title: OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaErrorsItems
    RetrieveTerminationDetailsRequestInternalServerError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/OffboardingTrackerIdGetResponsesContentApplicationJsonSchemaErrorsItems
      title: RetrieveTerminationDetailsRequestInternalServerError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/offboarding/tracker/eyJjb250cmFjdE9pZCI6IlB6cFlhcmVuIiwiaGlyaW5nVHlwZSI6ImNvbnRyYWN0b3IiLCJwcm9maWxlSWQiOjE2NzgyMCwidXNlcklkIjoxNDM3ODl9"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/offboarding/tracker/eyJjb250cmFjdE9pZCI6IlB6cFlhcmVuIiwiaGlyaW5nVHlwZSI6ImNvbnRyYWN0b3IiLCJwcm9maWxlSWQiOjE2NzgyMCwidXNlcklkIjoxNDM3ODl9';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/offboarding/tracker/eyJjb250cmFjdE9pZCI6IlB6cFlhcmVuIiwiaGlyaW5nVHlwZSI6ImNvbnRyYWN0b3IiLCJwcm9maWxlSWQiOjE2NzgyMCwidXNlcklkIjoxNDM3ODl9"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/offboarding/tracker/eyJjb250cmFjdE9pZCI6IlB6cFlhcmVuIiwiaGlyaW5nVHlwZSI6ImNvbnRyYWN0b3IiLCJwcm9maWxlSWQiOjE2NzgyMCwidXNlcklkIjoxNDM3ODl9")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/offboarding/tracker/eyJjb250cmFjdE9pZCI6IlB6cFlhcmVuIiwiaGlyaW5nVHlwZSI6ImNvbnRyYWN0b3IiLCJwcm9maWxlSWQiOjE2NzgyMCwidXNlcklkIjoxNDM3ODl9")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/offboarding/tracker/eyJjb250cmFjdE9pZCI6IlB6cFlhcmVuIiwiaGlyaW5nVHlwZSI6ImNvbnRyYWN0b3IiLCJwcm9maWxlSWQiOjE2NzgyMCwidXNlcklkIjoxNDM3ODl9', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/offboarding/tracker/eyJjb250cmFjdE9pZCI6IlB6cFlhcmVuIiwiaGlyaW5nVHlwZSI6ImNvbnRyYWN0b3IiLCJwcm9maWxlSWQiOjE2NzgyMCwidXNlcklkIjoxNDM3ODl9");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/offboarding/tracker/eyJjb250cmFjdE9pZCI6IlB6cFlhcmVuIiwiaGlyaW5nVHlwZSI6ImNvbnRyYWN0b3IiLCJwcm9maWxlSWQiOjE2NzgyMCwidXNlcklkIjoxNDM3ODl9")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```